---
document: modulemd
version: 2
data:
    stream: 202501
    summary: A means of bootstrapping Javapackages Tools
    description: >-
        Javapackages Bootstrap is a standalone build of all Java
        software packages that are required for Java Packages Tools to
        work.
    license:
        module:
            - MIT
    dependencies:
        - buildrequires:
              platform: [el9]
          requires:
              platform: [el9]
    profiles:
        common:
            rpms:
                - javapackages-bootstrap
    api:
        rpms:
            - javapackages-local
            - javapackages-tools
            - maven-local
    buildopts:
        rpms:
            macros: |
                %_with_bootstrap 1
                %_without_xmvn_generator 1
                %_without_ivy 1
                %_without_bnd_maven_plugin 1
                %_with_ant_minimal 1
                %_without_maven_reporting 1
                %java_arches aarch64 ppc64le s390x x86_64
    components:
        rpms:
            jurand:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 10
                buildonly: true
            rpm-local-generator-support:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildonly: true
                buildorder: 10
            javapackages-tools:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 20
            javapackages-bootstrap:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildonly: true
                buildorder: 20
            ant:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            aopalliance:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-beanutils:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-cli:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-codec:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-collections:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-compress:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-io:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-jxpath:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-lang3:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-logging:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-commons-parent:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-parent:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apache-resource-bundles:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            apiguardian:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            aqute-bnd:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            assertj-core:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            beust-jcommander:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            build-helper-maven-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            byte-buddy:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            cglib:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            disruptor:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            easymock:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            extra-enforcer-rules:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            felix-parent:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            felix-utils:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            fusesource-pom:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            google-guice:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            guava:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            hamcrest:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            httpcomponents-client:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            httpcomponents-core:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            httpcomponents-project:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jakarta-activation:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jakarta-annotations:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            cdi-api:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            atinject:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jakarta-mail:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jakarta-servlet:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jansi:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            java_cup:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            javacc:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            javacc-maven-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            javaparser:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jctools:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jdom:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jdom2:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jflex:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jsoup:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            jsr-305:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            junit:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            junit5:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            log4j:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-antrun-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-archiver:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-artifact-transfer:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-assembly-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-bundle-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-common-artifact-filters:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-compiler-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-dependency-analyzer:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-dependency-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-dependency-tree:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-enforcer:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-file-management:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-filtering:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-jar-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-parent:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-plugin-testing:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-plugin-tools:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-remote-resources-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-resolver:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-resources-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-shared-incremental:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-shared-io:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-shared-utils:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-source-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-surefire:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-verifier:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            maven-wagon:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            mockito:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            modello:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            moditect:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            modulemaker-maven-plugin:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            mojo-parent:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            objectweb-asm:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            objenesis:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            opentest4j:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            osgi-annotation:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            osgi-compendium:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            osgi-core:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-archiver:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-build-api:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-build-api0:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-cipher:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-classworlds:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-compiler:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-containers:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-interpolation:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-io:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-languages:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-pom:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-resources:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-sec-dispatcher:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-testing:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-utils:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            plexus-xml:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            qdox:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            sisu:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            slf4j:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            testng:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            univocity-parsers:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            velocity:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            xmlunit:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            xmvn:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
            xz-java:
                ref: stream-javapackages-bootstrap-202501-rhel-9.6.0
                rationale: Required to bootstrap Java Packages Tools.
                buildorder: 30
